Subject: Re: bug#1286: comment-dwim on a comment line does not toggle comment

From: Stefan Monnier <[email-masked]>
Date: Fri, 31 Oct 2008 21:33:32 -0400

> this appears to be like a bug.

> in emacs-lisp-mode, if you have a comment like this:

> ;; This is a comment

> and your cursor is somewhere on that line. Now, do comment-dwim, it doesn't
> uncomment the line. It just moves the cursor to the “T”  in “This”.

> Same behavior in cperl mode and probably all others.

> I think this might be by design, but it seems counter-intuitive.

This is the way M-; has worked for as long as I can remember.
It also re-indents the comment, if needed.  If you want to uncomment,
then select the line via e.g. C-a C-SPC C-n and then M-; will do what
you asked for.

        Stefan